Index: channels/chan_modem_i4l.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_modem_i4l.c,v
retrieving revision 1.22
diff -u -r1.22 chan_modem_i4l.c
--- channels/chan_modem_i4l.c	24 Jan 2005 14:00:18 -0000	1.22
+++ channels/chan_modem_i4l.c	24 Jan 2005 20:06:00 -0000
@@ -26,7 +26,7 @@
 #include <asterisk/options.h>
 #include <asterisk/dsp.h>
 #include <asterisk/callerid.h>
-#include <asterisk/alaw.h>
+#include <asterisk/ulaw.h>
 
 #define STATE_COMMAND 	0
 #define STATE_VOICE 	1
@@ -211,9 +211,9 @@
 		return -1;
 	}
 
-	if (ast_modem_send(p, "AT+VSM=5", 0) ||
+	if (ast_modem_send(p, "AT+VSM=6", 0) ||
 	     ast_modem_expect(p, "OK", 5)) {
-		ast_log(LOG_WARNING, "Unable to set to aLAW mode\n");
+		ast_log(LOG_WARNING, "Unable to set to muLAW mode\n");
 		return -1;
 	}
 	if (ast_modem_send(p, "AT+VLS=2", 0) ||
@@ -420,7 +420,7 @@
 						if (!f)
 							return NULL;
 					} else {
-						*(b++) = AST_ALAW(result[x]);
+						*(b++) = AST_MULAW(result[x]);
 						p->obuflen += 2;
 					}
 				}
@@ -480,7 +480,7 @@
 		return -1;
 	}
 	for (x=0;x<f->datalen/2;x++) {
-		b = AST_LIN2A(((short *)f->data)[x]);
+		b = AST_LIN2MU(((short *)f->data)[x]);
 		result[bpos++] = b;
 		if (b == CHAR_DLE)
 			result[bpos++]=b;
